package com.tzld.longarticle.recommend.server.common.enums;


import java.util.Objects;

public enum SecretEnum {

    SECRET_ENUM_1("3b83574b477d4c5b8508a6e33f6e35ec", "魅力", "ml"),
    SECRET_ENUM_2("70d342bf11a84ac7aca6b3e99541e085", "老来福", "llf");

    SecretEnum(String secret, String desc, String channel) {
        this.secret = secret;
        this.desc = desc;
        this.channel = channel;
    }

    public final String secret;
    public final String desc;
    public final String channel;

    public static boolean contains(String secret) {
        for (SecretEnum secretEnum : SecretEnum.values()) {
            if (Objects.equals(secretEnum.secret, secret)) {
                return true;
            }
        }
        return false;
    }

    public static SecretEnum get(String secret) {
        for (SecretEnum secretEnum : SecretEnum.values()) {
            if (Objects.equals(secretEnum.secret, secret)) {
                return secretEnum;
            }
        }
        return null;
    }
}
