package com.tzld.longarticle.recommend.server.mapper.crawler;

import com.tzld.longarticle.recommend.server.model.entity.crawler.AccountAvgInfo;
import com.tzld.longarticle.recommend.server.model.entity.crawler.AccountCorrelation;
import com.tzld.longarticle.recommend.server.model.entity.crawler.LongArticlesRootSourceId;

import java.util.List;

public interface CrawlerBaseMapper {

    void batchInsertAccountCorrelation(List<AccountCorrelation> list);

    void batchInsertLongArticlesRootSourceId(List<LongArticlesRootSourceId> list);

    void batchInsertAccountAvgInfo(List<AccountAvgInfo> list);

    void deleteAccountAvgInfoByGhIdAndUpdateTime(String ghId, String date);

    void updateAccountAvgInfoStatus(String ghId, String date);

}
