package com.tzld.longarticle.recommend.server.repository.crawler;

import com.tzld.longarticle.recommend.server.model.entity.crawler.LongArticlesRootSourceId;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface LongArticlesRootSourceIdRepository extends JpaRepository<LongArticlesRootSourceId, String> {

    List<LongArticlesRootSourceId> getByRootSourceIdIn(List<String> rootSourceIds);
}
