package com.tzld.longarticle.recommend.server.web.recommend;

import com.tzld.longarticle.recommend.server.service.recommend.DataDashboardService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/dataDashboard")
@Slf4j
public class DataDashboardController {

    @Autowired
    private DataDashboardService service;

    @GetMapping("/export/newSortStrategy")
    public void newSortStrategyExport(String beginDate, String endDate) {
        new Thread(() -> {
            service.export(beginDate, endDate);
        }).start();
    }

    @GetMapping("/export/intermediateIndicators")
    public void intermediateIndicatorsExport(String beginDate, String endDate) {
        new Thread(() -> {
            service.intermediateIndicatorsExport(beginDate, endDate);
        }).start();
    }

    @GetMapping("/export/firstContentScore")
    public void firstContentScoreExport(String beginDate, String endDate) {
        new Thread(() -> {
            service.firstContentScoreExport(beginDate, endDate);
        }).start();
    }

}
